//+------------------------------------------------------------------+
//|                                                    ButtonObj.mqh |
//|                                Copyright 2021, Andrei Novichkov. |
//|                                              https://fxstill.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2021, Andrei Novichkov."
#property link      "https://fxstill.com"
#property version   "1.00"

class CButtonObj {
 private:
   string name;
 public:
    CButtonObj(string n):name(n){}
   ~CButtonObj(){Release();}
   
   const string GetName() const {return name;}
   
   int  Initialize();
   void Release();
};

int CButtonObj::Initialize() {
   if(!ObjectCreate(0,name,OBJ_BUTTON,1,0,0)) { 
      Print(__FUNCTION__, ": failed to create the button! Error code = ",GetLastError()); 
      return(INIT_FAILED); 
   } 
   ObjectSetString( 0,name,OBJPROP_TEXT,"Btn"); 
   ObjectSetInteger(0,name,OBJPROP_XDISTANCE,20); 
   ObjectSetInteger(0,name,OBJPROP_YDISTANCE,20); 
   
   return INIT_SUCCEEDED;
}

void CButtonObj::Release() {
   ObjectDelete(0, name);
}
